Date: Mon, 17 Mar 1997 21:37:22 -0600
From: Chris Lawrence <quango@ix.netcom.com>
To: Linux/m68k Mailing List <linux-m68k@phil.uni-sb.de>
Cc: Jes Degn Sorensen <Jes.Sorensen@cern.ch>
Subject: L68K: IDE fix for 2.1.29
Organization: Kathie Lee's Sweatshops
X-Operating-System: Linux/m68k 2.1.26
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

The following patch fixes a problem with compiling with the IDE driver
enabled:

--- clean-linux-2.1.29/kernel/ksyms.c	Sun Feb 16 22:44:40 1997
+++ linux/kernel/ksyms.c	Mon Mar 17 21:31:43 1997
@@ -49,7 +49,7 @@
 #include <linux/swap.h>
 #include <linux/ctype.h>
 
-#if defined(CONFIG_BLK_DEV_IDE) || defined(CONFIG_BLK_DEV_HD) || defined(CONFIG_BLK_DEV_IDE_MODULE) || defined(CONFIG_BLK_DEV_HD_MODULE)
+#if (defined(CONFIG_BLK_DEV_IDE) || defined(CONFIG_BLK_DEV_HD) || defined(CONFIG_BLK_DEV_IDE_MODULE) || defined(CONFIG_BLK_DEV_HD_MODULE)) && !defined(__mc68000__)
 extern struct drive_info_struct drive_info;
 #endif
 
@@ -202,7 +202,7 @@
 EXPORT_SYMBOL(resetup_one_dev);
 EXPORT_SYMBOL(unplug_device);
 
-#if defined(CONFIG_BLK_DEV_IDE) || defined(CONFIG_BLK_DEV_HD) || defined(CONFIG_BLK_DEV_IDE_MODULE) || defined(CONFIG_BLK_DEV_HD_MODULE)
+#if (defined(CONFIG_BLK_DEV_IDE) || defined(CONFIG_BLK_DEV_HD) || defined(CONFIG_BLK_DEV_IDE_MODULE) || defined(CONFIG_BLK_DEV_HD_MODULE)) && !defined(__mc68000__)
 EXPORT_SYMBOL(drive_info);
 #endif
 

Chris
-- 
============================================================================
|        Chris Lawrence        |               My home page:               |
|    <quango@ix.netcom.com>    |    http://www.clark.net/pub/lawrencc/     |
|                              |                                           |
|      Amiga A4000/040 and     |        The Internet Link Exchange         |
|       Linux/m68k 2.1.26      |       http://www.linkexchange.com/        |
============================================================================
